Caja.Menu
Prev | Available Classes | Next

## Caja.Menu

Caja.Menu — Caja.Menu Reference

## Synopsis

    class Caja.Menu(gobject.GObject):
        Caja.Menu()
        def append_item(item)
        def get_items()

## Ancestry

    +-- gobject.GObject
        +-- Caja.Menu

## Description

A Caja.Menu object allows an extension to create sub-menus.

## Constructor

        Caja.Menu()

Creates a new `Caja.Menu` object.

## Public Methods

### Caja.Menu.append_item

        def append_item(item)

`item` : | a `Caja.MenuItem`

Append a `Caja.MenuItem` to a `Caja.Menu`.

### Caja.Menu.get_items

        def get_items()

Returns a list of `Caja.MenuItem` objects attached to the `Caja.Menu`.

Prev | Up | Next
Caja.FileInfo | Home | Caja.MenuItem